### Method

# Gtk TextItercan_insert

#### Declaration [src]

    gboolean
    gtk_text_iter_can_insert (
      const GtkTextIter* iter,
      gboolean default_editability
    )

#### Description [src]

Considering the default editability of the buffer, and tags that affect editability, determines whether text inserted at `iter` would be editable.

If text inserted at `iter` would be editable then the user should be allowed to insert text at `iter`. `gtk_text_buffer_insert_interactive()` uses this function to decide whether insertions are allowed at a given position.

#### Parameters

`default_editability`

  Type: `gboolean`

  `TRUE` if text is editable by default.

#### Return value

Type: `gboolean`

Whether text inserted at `iter` would be editable.